summaryrefslogtreecommitdiffstats
path: root/libreoffice
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2012-04-12 07:31:16 +0000
committer Eric Hameleers <alien@slackware.com>2012-04-12 07:31:16 +0000
commitff29b1033a5d4d8207c11213f3fcbeccc445ffa5 (patch)
tree46fe000fc05f62901bbdb3b14a4de34e6044b76c /libreoffice
parent7b495322c2b33333f92af26dce3c710b71e06491 (diff)
downloadasb-ff29b1033a5d4d8207c11213f3fcbeccc445ffa5.tar.gz
asb-ff29b1033a5d4d8207c11213f3fcbeccc445ffa5.tar.xz
My adaptation did not catch the existence of a symlink
Diffstat (limited to 'libreoffice')
-rwxr-xr-xlibreoffice/build/libreoffice36.SlackBuild86
1 files changed, 44 insertions, 42 deletions
diff --git a/libreoffice/build/libreoffice36.SlackBuild b/libreoffice/build/libreoffice36.SlackBuild
index 246d0213..18118f09 100755
--- a/libreoffice/build/libreoffice36.SlackBuild
+++ b/libreoffice/build/libreoffice36.SlackBuild
@@ -1152,78 +1152,80 @@ if [ ! -f $PKG/etc/bash_completion.d/${PRGNAM}.sh ]; then
$PKG/etc/bash_completion.d/${PRGNAM}.sh
fi
-# Add wrapper scripts that call the real binaries:
-mkdir -p $PKG/usr/bin
-if [ ! -f $PKG/usr/bin/${PRGNAM} ]; then
- cat <<EOF > $PKG/usr/bin/${PRGNAM}
+# Add wrapper scripts (if they do not exist yet) that call the real binaries:
+( mkdir -p $PKG/usr/bin
+ cd $PKG/usr/bin
+ if ! [ -f ${PRGNAM} -o -L ${PRGNAM} ]; then
+ cat <<EOF > $PKG/usr/bin/${PRGNAM}
#!/bin/sh
/usr/lib${LIBDIRSUFFIX}/${PRGNAM}/program/soffice "\$@"
EOF
- chmod 0755 $PKG/usr/bin/${PRGNAM}
-fi
-if [ ! -f $PKG/usr/bin/loweb ]; then
- cat <<EOF > $PKG/usr/bin/loweb
+ chmod 0755 $PKG/usr/bin/${PRGNAM}
+ fi
+ if ! [ -f loweb -o -L loweb ]; then
+ cat <<EOF > $PKG/usr/bin/loweb
#!/bin/sh
/usr/lib${LIBDIRSUFFIX}/${PRGNAM}/program/soffice --web "\$@"
EOF
- chmod 0755 $PKG/usr/bin/loweb
-fi
-if [ ! -f $PKG/usr/bin/localc ]; then
- cat <<EOF > $PKG/usr/bin/localc
+ chmod 0755 $PKG/usr/bin/loweb
+ fi
+ if ! [ -f localc -o -L localc ]; then
+ cat <<EOF > $PKG/usr/bin/localc
#!/bin/sh
/usr/lib${LIBDIRSUFFIX}/${PRGNAM}/program/soffice --calc "\$@"
EOF
- chmod 0755 $PKG/usr/bin/localc
-fi
-if [ ! -f $PKG/usr/bin/lobase ]; then
- cat <<EOF > $PKG/usr/bin/lobase
+ chmod 0755 $PKG/usr/bin/localc
+ fi
+ if ! [ -f lobase -o -L lobase ]; then
+ cat <<EOF > $PKG/usr/bin/lobase
#!/bin/sh
/usr/lib${LIBDIRSUFFIX}/${PRGNAM}/program/soffice --base "\$@"-
EOF
- chmod 0755 $PKG/usr/bin/lobase
-fi
-if [ ! -f $PKG/usr/bin/lofromtemplate ]; then
- cat <<EOF > $PKG/usr/bin/lofromtemplate
+ chmod 0755 $PKG/usr/bin/lobase
+ fi
+ if ! [ -f lofromtemplate -o -L lofromtemplate ]; then
+ cat <<EOF > $PKG/usr/bin/lofromtemplate
#!/bin/sh
/usr/lib${LIBDIRSUFFIX}/${PRGNAM}/program/soffice .uno:NewDoc "\$@"
EOF
- chmod 0755 $PKG/usr/bin/lofromtemplate
-fi
-if [ ! -f $PKG/usr/bin/lowriter ]; then
- cat <<EOF > $PKG/usr/bin/lowriter
+ chmod 0755 $PKG/usr/bin/lofromtemplate
+ fi
+ if ! [ -f lowriter -o -L lowriter ]; then
+ cat <<EOF > $PKG/usr/bin/lowriter
#!/bin/sh
/usr/lib${LIBDIRSUFFIX}/${PRGNAM}/program/soffice --writer "\$@"
EOF
- chmod 0755 $PKG/usr/bin/lowriter
-fi
-if [ ! -f $PKG/usr/bin/unopkg ]; then
- cat <<EOF > $PKG/usr/bin/unopkg
+ chmod 0755 $PKG/usr/bin/lowriter
+ fi
+ if ! [ -f unopkg -o -L unopkg ]; then
+ cat <<EOF > $PKG/usr/bin/unopkg
#!/bin/sh
/usr/lib${LIBDIRSUFFIX}/${PRGNAM}/program/unopkg "\$@"
EOF
- chmod 0755 $PKG/usr/bin/unopkg
-fi
-if [ ! -f $PKG/usr/bin/lodraw ]; then
- cat <<EOF > $PKG/usr/bin/lodraw
+ chmod 0755 $PKG/usr/bin/unopkg
+ fi
+ if ! [ -f lodraw -o -L lodraw ]; then
+ cat <<EOF > $PKG/usr/bin/lodraw
#!/bin/sh
/usr/lib${LIBDIRSUFFIX}/${PRGNAM}/program/soffice --draw "\$@"
EOF
- chmod 0755 $PKG/usr/bin/lodraw
-fi
-if [ ! -f $PKG/usr/bin/lomath ]; then
- cat <<EOF > $PKG/usr/bin/lomath
+ chmod 0755 $PKG/usr/bin/lodraw
+ fi
+ if ! [ -f lomath -o -L lomath ]; then
+ cat <<EOF > $PKG/usr/bin/lomath
#!/bin/sh
/usr/lib${LIBDIRSUFFIX}/${PRGNAM}/program/soffice --math "\$@"
EOF
- chmod 0755 $PKG/usr/bin/lomath
-fi
-if [ ! -f $PKG/usr/bin/loimpress ]; then
- cat <<EOF > $PKG/usr/bin/loimpress
+ chmod 0755 $PKG/usr/bin/lomath
+ fi
+ if ! [ -f loimpress -o -L loimpress ]; then
+ cat <<EOF > $PKG/usr/bin/loimpress
#!/bin/sh
/usr/lib${LIBDIRSUFFIX}/${PRGNAM}/program/soffice --impress "\$@"
EOF
- chmod 0755 $PKG/usr/bin/loimpress
-fi
+ chmod 0755 $PKG/usr/bin/loimpress
+ fi
+)
# Back to base:
cd $TMP/tmp-$PRGNAM/build